# PasteurIDMatriculeSync

PasteurIDMatriculeSync or *pidmatsync* for its friends is a tool to match
matricules to an object containing details about the person and its main team.

## Usage

The main object is the `pidmatsync.sync.Sync`. It's a callable object that
returns a `pidmatsync.sync.BoundPerson` instance corresponding to the matricule
it has been called with.

A Sync object will require a `TeamSync`, a `PersonSync` and a `MembershipSync`.
Thoses are callabes that provide respectively a Team for its group id, a Person
for its matricule and a membership (a dict) for a Person. There is a factory in
`pidmatsync.Sync` with the default paramaters.


## Tokens

pidmatsync requires a Token to make request against the PasteurID API.

## BoundPerson

The tree of a BoundPerson instance.

+ person
    - first_name
    - last_name
    - matricule
    - account (the login)
    - uidnumber (the number)
    - email
+ team
    - name (the name of the team)
    - head (the team's director)
        * first_name
        * last_name


## CLI

Pidmatsync provides a CLI tools that fecthes a BoundPerson from a matricule and
prints the result.


    $ pidmatsync [-v] [-t|--token TOKEN] matricule [matricule...]
